DynamicJava Javadoc: Interface ParserConstants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.parser
Interface ParserConstants

All Known Implementing Classes:
  ParserTokenManager, Parser

public interface ParserConstants

Field Summary
`static int` | `_DEFAULT`
`static int` | `ABSTRACT`
`static int` | `AND_ASSIGN`
`static int` | `ASSIGN`
`static int` | `BANG`
`static int` | `BITWISE_AND`
`static int` | `BITWISE_OR`
`static int` | `BOOLEAN`
`static int` | `BREAK`
`static int` | `BYTE`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARACTER_LITERAL`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONDITIONAL_AND`
`static int` | `CONDITIONAL_OR`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `DECIMAL_LITERAL`
`static int` | `DECREMENT`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DO`
`static int` | `DOT`
`static int` | `DOUBLE`
`static int` | `DOUBLE_LITERAL`
`static int` | `ELSE`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `EXPONENT`
`static int` | `EXTENDS`
`static int` | `FALSE`
`static int` | `FINAL`
`static int` | `FINALLY`
`static int` | `FLOAT`
`static int` | `FLOAT_LITERAL`
`static int` | `FOR`
`static int` | `FORMAL_COMMENT`
`static int` | `GOTO`
`static int` | `GREATER_OR_EQUAL`
`static int` | `GREATER_THAN`
`static int` | `HEX_LITERAL`
`static int` | `HOOK`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `IN_FORMAL_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `INCREMENT`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTEGER_LITERAL`
`static int` | `INTERFACE`
`static int` | `LBRACE`
`static int` | `LBRACKET`
`static int` | `LEFT_SHIFT`
`static int` | `LEFT_SHIFT_ASSIGN`
`static int` | `LESS`
`static int` | `LESS_OR_EQUAL`
`static int` | `LETTER`
`static int` | `LONG`
`static int` | `LONG_LITERAL`
`static int` | `LPAREN`
`static int` | `MINUS`
`static int` | `MINUS_ASSIGN`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `NATIVE`
`static int` | `NEW`
`static int` | `NOT_EQUAL`
`static int` | `NULL`
`static int` | `OCTAL_LITERAL`
`static int` | `OR_ASSIGN`
`static int` | `PACKAGE`
`static int` | `PLUS`
`static int` | `PLUS_ASSIGN`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `RBRACE`
`static int` | `RBRACKET`
`static int` | `REMAINDER`
`static int` | `REMAINDER_ASSIGN`
`static int` | `RETURN`
`static int` | `RIGHT_SIGNED_SHIFT`
`static int` | `RIGHT_SIGNED_SHIFT_ASSIGN`
`static int` | `RIGHT_UNSIGNED_SHIFT`
`static int` | `RIGHT_UNSIGNED_SHIFTASSIGN`
`static int` | `RPAREN`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SLASH`
`static int` | `SLASH_ASSIGN`
`static int` | `STAR`
`static int` | `STAR_ASSIGN`
`static int` | `STATIC`
`static int` | `STRING_LITERAL`
`static int` | `SUPER`
`static int` | `SWITCH`
`static int` | `SYNCHRONIZED`
`static int` | `THIS`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TILDE`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRANSIENT`
`static int` | `TRUE`
`static int` | `TRY`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHILE`
`static int` | `XOR`
`static int` | `XOR_ASSIGN`

Field Detail

### EOF

    public static final int EOF

### SINGLE_LINE_COMMENT

    public static final int SINGLE_LINE_COMMENT

### FORMAL_COMMENT

    public static final int FORMAL_COMMENT

### MULTI_LINE_COMMENT

    public static final int MULTI_LINE_COMMENT

### ABSTRACT

    public static final int ABSTRACT

### BOOLEAN

    public static final int BOOLEAN

### BREAK

    public static final int BREAK

### BYTE

    public static final int BYTE

### CASE

    public static final int CASE

### CATCH

    public static final int CATCH

### CHAR

    public static final int CHAR

### CLASS

    public static final int CLASS

### CONST

    public static final int CONST

### CONTINUE

    public static final int CONTINUE

### _DEFAULT

    public static final int _DEFAULT

### DO

    public static final int DO

### DOUBLE

    public static final int DOUBLE

### ELSE

    public static final int ELSE

### EXTENDS

    public static final int EXTENDS

### FALSE

    public static final int FALSE

### FINAL

    public static final int FINAL

### FINALLY

    public static final int FINALLY

### FLOAT

    public static final int FLOAT

### FOR

    public static final int FOR

### GOTO

    public static final int GOTO

### IF

    public static final int IF

### IMPLEMENTS

    public static final int IMPLEMENTS

### IMPORT

    public static final int IMPORT

### INSTANCEOF

    public static final int INSTANCEOF

### INT

    public static final int INT

### INTERFACE

    public static final int INTERFACE

### LONG

    public static final int LONG

### NATIVE

    public static final int NATIVE

### NEW

    public static final int NEW

### NULL

    public static final int NULL

### PACKAGE

    public static final int PACKAGE

### PRIVATE

    public static final int PRIVATE

### PROTECTED

    public static final int PROTECTED

### PUBLIC

    public static final int PUBLIC

### RETURN

    public static final int RETURN

### SHORT

    public static final int SHORT

### STATIC

    public static final int STATIC

### SUPER

    public static final int SUPER

### SWITCH

    public static final int SWITCH

### SYNCHRONIZED

    public static final int SYNCHRONIZED

### THIS

    public static final int THIS

### THROW

    public static final int THROW

### THROWS

    public static final int THROWS

### TRANSIENT

    public static final int TRANSIENT

### TRUE

    public static final int TRUE

### TRY

    public static final int TRY

### VOID

    public static final int VOID

### VOLATILE

    public static final int VOLATILE

### WHILE

    public static final int WHILE

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

### LONG_LITERAL

    public static final int LONG_LITERAL

### DECIMAL_LITERAL

    public static final int DECIMAL_LITERAL

### HEX_LITERAL

    public static final int HEX_LITERAL

### OCTAL_LITERAL

    public static final int OCTAL_LITERAL

### FLOAT_LITERAL

    public static final int FLOAT_LITERAL

### DOUBLE_LITERAL

    public static final int DOUBLE_LITERAL

### EXPONENT

    public static final int EXPONENT

### CHARACTER_LITERAL

    public static final int CHARACTER_LITERAL

### STRING_LITERAL

    public static final int STRING_LITERAL

### IDENTIFIER

    public static final int IDENTIFIER

### LETTER

    public static final int LETTER

### DIGIT

    public static final int DIGIT

### LPAREN

    public static final int LPAREN

### RPAREN

    public static final int RPAREN

### LBRACE

    public static final int LBRACE

### RBRACE

    public static final int RBRACE

### LBRACKET

    public static final int LBRACKET

### RBRACKET

    public static final int RBRACKET

### SEMICOLON

    public static final int SEMICOLON

### COMMA

    public static final int COMMA

### DOT

    public static final int DOT

### ASSIGN

    public static final int ASSIGN

### GREATER_THAN

    public static final int GREATER_THAN

### LESS

    public static final int LESS

### BANG

    public static final int BANG

### TILDE

    public static final int TILDE

### HOOK

    public static final int HOOK

### COLON

    public static final int COLON

### EQUAL

    public static final int EQUAL

### LESS_OR_EQUAL

    public static final int LESS_OR_EQUAL

### GREATER_OR_EQUAL

    public static final int GREATER_OR_EQUAL

### NOT_EQUAL

    public static final int NOT_EQUAL

### CONDITIONAL_OR

    public static final int CONDITIONAL_OR

### CONDITIONAL_AND

    public static final int CONDITIONAL_AND

### INCREMENT

    public static final int INCREMENT

### DECREMENT

    public static final int DECREMENT

### PLUS

    public static final int PLUS

### MINUS

    public static final int MINUS

### STAR

    public static final int STAR

### SLASH

    public static final int SLASH

### BITWISE_AND

    public static final int BITWISE_AND

### BITWISE_OR

    public static final int BITWISE_OR

### XOR

    public static final int XOR

### REMAINDER

    public static final int REMAINDER

### LEFT_SHIFT

    public static final int LEFT_SHIFT

### RIGHT_SIGNED_SHIFT

    public static final int RIGHT_SIGNED_SHIFT

### RIGHT_UNSIGNED_SHIFT

    public static final int RIGHT_UNSIGNED_SHIFT

### PLUS_ASSIGN

    public static final int PLUS_ASSIGN

### MINUS_ASSIGN

    public static final int MINUS_ASSIGN

### STAR_ASSIGN

    public static final int STAR_ASSIGN

### SLASH_ASSIGN

    public static final int SLASH_ASSIGN

### AND_ASSIGN

    public static final int AND_ASSIGN

### OR_ASSIGN

    public static final int OR_ASSIGN

### XOR_ASSIGN

    public static final int XOR_ASSIGN

### REMAINDER_ASSIGN

    public static final int REMAINDER_ASSIGN

### LEFT_SHIFT_ASSIGN

    public static final int LEFT_SHIFT_ASSIGN

### RIGHT_SIGNED_SHIFT_ASSIGN

    public static final int RIGHT_SIGNED_SHIFT_ASSIGN

### RIGHT_UNSIGNED_SHIFTASSIGN

    public static final int RIGHT_UNSIGNED_SHIFTASSIGN

### DEFAULT

    public static final int DEFAULT

### IN_SINGLE_LINE_COMMENT

    public static final int IN_SINGLE_LINE_COMMENT

### IN_FORMAL_COMMENT

    public static final int IN_FORMAL_COMMENT

### IN_MULTI_LINE_COMMENT

    public static final int IN_MULTI_LINE_COMMENT

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.